ApiLicensedFeatureUsage (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiLicensedFeatureUsage

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiLicensedFeatureUsage

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiLicensedFeatureUsage
      extends Object

  Information about the number of nodes using which product features. <p> Usage information is provided for individual clusters, as well as totals across all clusters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiLicensedFeatureUsage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiLicensedFeatureUsage` | `clusters(Map<String,Object> clusters)`
    `boolean` | `equals(Object o)`
    `Map<String,Object>` | `getClusters()` Map from clusters to maps of named features to the number of nodes in the cluster using those features.
    `Map<String,BigDecimal>` | `getTotals()` Map from named features to the total number of nodes using those features.
    `int` | `hashCode()`
    `ApiLicensedFeatureUsage` | `putClustersItem(String key, Object clustersItem)`
    `ApiLicensedFeatureUsage` | `putTotalsItem(String key, BigDecimal totalsItem)`
    `void` | `setClusters(Map<String,Object> clusters)`
    `void` | `setTotals(Map<String,BigDecimal> totals)`
    `String` | `toString()`
    `ApiLicensedFeatureUsage` | `totals(Map<String,BigDecimal> totals)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiLicensedFeatureUsage

          public ApiLicensedFeatureUsage()

  - ### Method Detail

    - #### totals

          public ApiLicensedFeatureUsage totals(Map<String,BigDecimal> totals)

    - #### putTotalsItem

          public ApiLicensedFeatureUsage putTotalsItem(String key,
                                                       BigDecimal totalsItem)

    - #### getTotals

          public Map<String,BigDecimal> getTotals()

      Map from named features to the total number of nodes using those features.
      Returns:
        totals

    - #### setTotals

          public void setTotals(Map<String,BigDecimal> totals)

    - #### clusters

          public ApiLicensedFeatureUsage clusters(Map<String,Object> clusters)

    - #### putClustersItem

          public ApiLicensedFeatureUsage putClustersItem(String key,
                                                         Object clustersItem)

    - #### getClusters

          public Map<String,Object> getClusters()

      Map from clusters to maps of named features to the number of nodes in the cluster using those features.
      Returns:
        clusters

    - #### setClusters

          public void setClusters(Map<String,Object> clusters)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.